${ContainerWindow.ltem[1].IsltemInfoAvailable} doesn't return data
2022-11-04 06:14 PM - Kannkor

Status: Resolved
Priority: Normal
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description

| think ${ContainerWindow.ltem[1].IsltemInfoAvailable} isn't working, at least not very reliably.. | don't think it's pinging the server for
the info. However, Me.Inventory[]. ToitemInfo is working fine.

This comes back as FALSE no matter what | do, even after waiting, after hovering over it in game, even examining it, still false. Then,
I'm not sure why, it is now TRUE... but ${ContainerWindow.ltem[2].IsltemInfoAvailable} is FALSE now, no matter what.

---- Datatype[eg2containerwindowitem] -----
ContainerWindow.ltem[2].ID | 67571 | HEX: 0x107f3
ContainerWindow.ltem[2].IsltemInfoAvailable | FALSE
ContainerWindow.ltem[2].Level | 125 | HEX: 0x7d
ContainerWindow.ltem[2].LinkID | -1431656867 | HEX: Oxaaaaa65d
ContainerWindow.ltem[2].Name | Wall of Rage Xl (Expert)
ContainerWindow.ltem[2].Quantity | 8 | HEX: 0x8
ContainerWindow.ltem[2].ToltemInfo | NULL

----- Datatype[iteminfo] -----
ContainerWindow.ltem[2]. ToltemInfo.AlreadyCollected | NULL
ContainerWindow.ltem[2]. ToltemInfo.AppearanceOnly | NULL

1. Easiest way to test, is in a guild hall, with any depot

In this case, I'm using a Scroll depot

History

#1 - 2023-10-30 01:26 AM - Amadeus
- Status changed from New to In Progress

- Assignee set to Amadeus

#2 - 2023-10-31 02:09 PM - Amadeus

- Status changed from In Progress to Resolved

Fixed in 20231024.0023
